/// \file constantes.h Constantes del juego.
/*
	Copyright 2010 Andrés Francisco Aparicio

	This file is part of SDLgolf.

	SDLgolf is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	SDLgolf is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with SDLgolf.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _CONSTANTES_H_
#define _CONSTANTES_H_

#include <SDL/SDL.h>

/*!	\namespace Constantes.
		\brief Constantes del Juego.
 */
namespace Constantes
{
	const int _FACTOR_DE_CONVERSION_ = 3;	///< Factor de conversión de la
																				///< unidad de distancia real a la 
																				///< del juego.
																				
	const int _ALTURA_ARBOLES_ = 96;	///< Altura de los árboles.
	
	const char _FUENTE_[] = "./ttf/Neucha.ttf";	///< Fuente empleada.
	
	const Uint32 _FRAMES_ = 60;	///< Número máximo de frames.
	
	const Uint32 _MS_ = 1000 / _FRAMES_;	///< Tiempo que debe transcurrir
																				///< entre el dibujo de cada frame.
																				
	const Uint32 _MS_TECLA_ = 100;	///< Retardo en la pulsación de tecla.
	
	const int _INTERNATIONAL_MASK_ = 0xFF80;	///< Máscara internacional para
																						///< las teclas.
	
	const int _UNICODE_MASK_ = 0x7F;	///< Máscara Unicode para las teclas.
	
	const char _IMG_BOLA_[] = "./img/bola/";	///< Directorio de imágenes de
																						///< la Bola.
	
	const char _IMG_CAMPO_[] = "./img/campo/";	///< Directorio de imágenes del
																						  ///< Campo.
	
	const char _IMG_ANIMACIONES_[] =
		"./img/animaciones/";	///< Directorio de animaciones.
	
	const char _IMG_INTERFAZ_[] = "./img/interfaz/";	///< Directorio de imágenes 
																						        ///< de la Interfaz.
	
	const char _IMG_JUGADOR_[] = "./img/jugador/";	///< Directorio de imágenes 
																						      ///< de la Interfaz.
	
	const char _IMG_INDICADOR_[] =
		"./img/indicador/";	///< Directorio de imágenes de la Interfaz.
	
	const char _IMG_MENU_[] = "./img/menu/"; ///< Directorio de imágenes
																					 ///< del Menu.
	
	const char _SND_EFECTOS_[] = "./snd/efectos/";	///< Directorio de efectos
																					 				///< de Sonido.
}
	
#endif
