/// \file main.cpp Función principal.
/*
	Copyright 2010 Andrés Francisco Aparicio

	This file is part of SDLgolf.

	SDLgolf is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	SDLgolf is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with SDLgolf.  If not, see <http://www.gnu.org/licenses/>.
*/

/*! \mainpage
  SDLgolf ha sido realizado por <em>Andrés Francisco Aparicio</em> empleando
  exclusivamente herramientas libres.\n
  Todas las imágenes y sprites del juego han sido desarrolladas por el autor.\n
  Los efectos de sonido y la música provienen de bancos de sonido libres.
  \arg <a href="http://www.jamendo.com/es/">Jamendo</a>
  \arg <a href="http://www.freesound.org/">The Freesound Project</a>
  

	SDLgolf ha sido liberado bajo licencia GPL v3 (GNU General Public License).
	Para más información visite este
	<a href="http://www.gnu.org/licenses">enlace</a>.
 
  \section sec Dependencias
 
  \arg <a href="http://www.libsdl.org/download-1.2.php">SDL 1.2</a>
  \arg <a href="http://www.libsdl.org/projects/SDL_image/">SDL_image 1.2</a>
  \arg <a href="http://www.libsdl.org/projects/SDL_mixer/">SDL_mixer 1.2</a>
  \arg <a href="http://www.libsdl.org/projects/SDL_ttf/">SDL_ttf 2.0</a>
	\arg <a href="http://sourceforge.net/projects/tinyxml/">TinyXML</a>
	
  \subsection Compilación
  \arg <a href="http://www.gnu.org/software/make/">Make</a>
  \arg <a href="http://gcc.gnu.org/">GCC</a>

  
  \subsection Documentación
  \arg <a href="http://www.stack.nl/~dimitri/doxygen/index.html">Doxygen</a>
*/

#include "juego.h"
//#include "windows.h"

int main()
//int WINAPI WinMain( HINSTANCE hInstance, HINSTANCE hPrevInstance, PSTR
//lpCmdLine, int nCmdShow )
{
	// Creamos el juego.
	Juego SDLgolf;

	// Iniciamos el juego.
	SDLgolf.Iniciar();

	// Terminamos.
	return 0;
}
