/// \file palo.cpp Palo de golf.
/*
	Copyright 2010 Andrés Francisco Aparicio

	This file is part of SDLgolf.

	SDLgolf is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	SDLgolf is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with SDLgolf.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "palo.h"
#include "constantes.h"

Palo::Palo(std::string nombre, int alcance_maximo, int angulo_salida)
{
	// Establecemos el nombre.
	nombre_ = nombre;
	
	// Establecemos el alcance máximo del palo.
	alcance_maximo_ = alcance_maximo;
	
	// Guardamos el ángulo de salida que tiene el palo.
	angulo_salida_ = angulo_salida;
}

int Palo::AnguloSalida() const
{
	// Devolvemos el ángulo de salida.
	return angulo_salida_;
}
int Palo::AlcanceMaximo() const
{
	// Devolvemos el alcance máximo.
	return alcance_maximo_ * Constantes::_FACTOR_DE_CONVERSION_;
}

std::string Palo::Nombre() const
{
	// Devolvemos el nombre del palo.
	return nombre_;
}

int Palo::AlcanceReal() const
{
	// Devolvemos el alcane máximo real.
	return alcance_maximo_;
}
